ADSentenceStream (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.formats.ad, class: ADSentenceStream

# Class ADSentenceStream

java.lang.Object
opennlp.tools.util.FilterObjectStream<String, ADSentenceStream.Sentence>
opennlp.tools.formats.ad.ADSentenceStream

All Implemented Interfaces:
  `AutoCloseable, ObjectStream<ADSentenceStream.Sentence>`

@Internal public class ADSentenceStream extends FilterObjectStream<String, ADSentenceStream.Sentence>
Stream filter which merges text lines into sentences, following the Arvores Deitadas syntax.

Information about the format:
Susana Afonso. "Árvores deitadas: Descrição do formato e das opções de análise na Floresta Sintáctica".
12 de Fevereiro de 2006.

Note: Do not use this class, internal use only!

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final record`
  `ADSentenceStream.Sentence`
  `static class`
  `ADSentenceStream.SentenceParser`
  Parses a sample of AD corpus.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ADSentenceStream(ObjectStream<String> lineStream)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ADSentenceStream.Sentence`
  `read()`
  Returns the next `T` object.

  ### Methods inherited from class FilterObjectStream

  `close, reset`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ADSentenceStream

    public ADSentenceStream(ObjectStream<String> lineStream)

- ## Method Details

  - ### read

    public ADSentenceStream.Sentence read() throws IOException
    Description copied from interface: `ObjectStream`
    Returns the next `T` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Returns:
      The next object or `null` to signal that the stream is exhausted.
    Throws:
      `IOException` - Thrown if there is an error during reading.